unit TestKompo;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, LResources, Forms, Controls, Graphics, Dialogs, Menus, LCLTranslator,
  ResourceStringsTestKompo;

type

  { TTestKompo }

  TTestKompo = class(TCustomControl)
  private
   FMenu              : TPopupMenu;
   FItem0             : TMenuItem;
   FItem1             : TMenuItem;
   FLang              : string;
   procedure SetLang(AValue: string);
   procedure ChangeLang;
  protected
   procedure MouseDown(Button: TMouseButton;Shift: TShiftState; X, Y: Integer);override;
  public
   constructor Create(AOwner: TComponent); override;
   procedure Paint; override;
   property Language : string read FLang  write SetLang;
  published

  end;



procedure Register;

implementation

procedure Register;
begin
  {$I testkompo_icon.lrs}
  RegisterComponents('Standard',[TTestKompo]);
end;

{ TTestKompo }

procedure TTestKompo.SetLang(AValue: string);
begin
  if FLang=AValue then Exit;
  FLang:=AValue;
  ChangeLang;
end;

procedure TTestKompo.ChangeLang;
begin
 setdefaultlang(flang);
 FItem0.Caption := TransText0;
 FItem1.Caption := TransText1;
end;

procedure TTestKompo.MouseDown(Button: TMouseButton; Shift: TShiftState; X,
  Y: Integer);
begin
  inherited MouseDown(Button, Shift, X, Y);
  FMenu.PopUp;
end;

constructor TTestKompo.Create(AOwner: TComponent);
begin
  inherited Create(AOwner);

  //setdefaultlang('en');

  FMenu:=TPopupMenu.Create(Self);
  FMenu.Parent := self;
  FMenu.SetSubComponent(true);

 //Auswahl 1
  FItem0:=TMenuItem.Create(Self);
  FItem0.Caption := TransText0;
  FMenu.Items.Add(FItem0);

 //Auswahl 2
  FItem1:=TMenuItem.Create(Self);
  FItem1.Caption := TransText1;
  FMenu.Items.Add(FItem1);


end;

procedure TTestKompo.Paint;
begin
  inherited Paint;
  self.Canvas.Brush.Color:= clYellow;
  self.Canvas.FillRect(0,0,width,height);
  self.Canvas.TextOut(2,5,TransText3);
end;

end.
